package com.xkrs.controller;

import com.xkrs.model.entity.GlobalConfigurationEntity;
import com.xkrs.service.GlobalConfigurationService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping(value = "/global/configuration")
public class GlobalConfigurationController {

    @Resource
    private GlobalConfigurationService globalConfigurationService;

    /**
     * 新增全局配置
     */
    @PostMapping("/insert")
    public String insertGlobalConfiguration(@RequestBody GlobalConfigurationEntity globalConfiguration) {
        return globalConfigurationService.insertGlobalConfiguration(globalConfiguration);
    }

    /**
     * 删除全局配置
     */
    @PostMapping("/delete")
    public String deleteGlobalConfiguration(@RequestBody GlobalConfigurationEntity globalConfiguration) {
        return globalConfigurationService.deleteGlobalConfiguration(globalConfiguration);
    }

    /**
     * 修改全局配置
     */
    @PostMapping("/update")
    public String updateGlobalConfiguration(@RequestBody GlobalConfigurationEntity globalConfiguration) {
        return globalConfigurationService.updateGlobalConfiguration(globalConfiguration);
    }

    /**
     * 查询全局配置
     */
    @GetMapping("/query")
    public String queryGlobalConfiguration(@RequestParam(required = false, value = "id") Long id, @RequestParam(required = false, value = "group") String group, @RequestParam(required = false, value = "key") String key, @RequestParam(required = false, value = "value") String value, @RequestParam(required = false, value = "remark") String remark) {
        GlobalConfigurationEntity globalConfiguration = new GlobalConfigurationEntity();
        globalConfiguration.setId(id);
        globalConfiguration.setBelongGroup(group);
        globalConfiguration.setKey(key);
        globalConfiguration.setValue(value);
        globalConfiguration.setRemark(remark);
        return globalConfigurationService.queryGlobalConfiguration(globalConfiguration);
    }
}
