package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 全局配置表
 */
@Entity
@Table(name = "global_config")
public class GlobalConfigEntity implements Serializable {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "global_config_seq_gen")
    @SequenceGenerator(name = "global_config_seq_gen", sequenceName = "global_config_id_seq", allocationSize = 1)
    private Long id;

    /**
     * 全局配置项的编号
     */
    private Long code;

    /**
     * 全局配置项的值
     */
    private Long value;

    public GlobalConfigEntity() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCode() {
        return code;
    }

    public void setCode(Long code) {
        this.code = code;
    }

    public Long getValue() {
        return value;
    }

    public void setValue(Long value) {
        this.value = value;
    }
}
